zoo

## Class PolyLine

- java.lang.Object
- - zoo.PolyLine

-     public class PolyLine
      extends java.lang.Object

  Une PolyLine désigne une droite définie par plusieurs Points.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolyLine(int nombrePoints)` Constructeur de la PolyLine; initialisation du tableau de Points

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Point p)` Ajout de point en fin de tableau s'il reste de la place
    `boolean` | `contains(Point p)` Vérification de l'existence d'un point dans le tableau
    `int` | `pointCapacity()` Renvoie la capacité maximum du tableau de points
    `int` | `pointCount()` Compte le nombre de points dans le tableau On pourrait réécrire add avec cette méthode
    `java.lang.String` | `toString()` Surcharge de toString Affichage du contenu du tableau de points

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PolyLine

          public PolyLine(int nombrePoints)

      Constructeur de la PolyLine; initialisation du tableau de Points
      Parameters:
        `nombrePoints` - nombre de points maximal

  - ### Method Detail

    - #### add

          public boolean add(Point p)

      Ajout de point en fin de tableau s'il reste de la place
      Parameters:
        `p` - point à ajouter
      Returns:
        true/false suivant si le point est inséré

    - #### pointCapacity

          public int pointCapacity()

      Renvoie la capacité maximum du tableau de points
      Returns:
        capacité maximum du tableau de points

    - #### pointCount

          public int pointCount()

      Compte le nombre de points dans le tableau On pourrait réécrire add avec cette méthode
      Returns:
        nombre de points dans le tableau

    - #### toString

          public java.lang.String toString()

      Surcharge de toString Affichage du contenu du tableau de points
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        PolyLine{points=...}

    - #### contains

          public boolean contains(Point p)

      Vérification de l'existence d'un point dans le tableau
      Parameters:
        `p` - Point à vérifier
      Returns:
        true/false